# Namespace webdriver.logging

code »

## Classes

webdriver.logging.Entry
  A single log entry.

## Enumerations

webdriver.logging.Level
  Logging levels.
webdriver.logging.LevelName
  Log level names from WebDriver's JSON wire protocol.
webdriver.logging.Type
  Common log types.

Show:PublicProtectedPrivate

## Type Definitions

code »webdriver.logging.Preferences : `Object.<webdriver.logging.Type, webdriver.logging.LevelName>`
A hash describing log preferences.

## Global Functions

code » webdriver.logging.getLevel ( nameOrValue ) ⇒ `!webdriver.logging.Level`

Converts a level name or value to a `webdriver.logging.Level` value. If the name/value is not recognized, `webdriver.logging.Level.ALL` will be returned.

Parameters

nameOrValue: `(number|string)`
  The log level name, or value, to convert .

Returns

The converted level.